curl --request GET \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/audit_requests/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/audit_requests/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/audit_requests/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"carrier_ids": [
"8fac0992-933a-4743-8dab-0d606ef2569e"
],
"completed_at": 1602609543,
"group_id": "2ce3b54a-2535-4803-b218-e6b44081d418"
}Get Latest Sync
Noyo regularly audits each Group against the carrier(s) that the Group has coverage with in order to find updated data and potential mismatches. This endpoint returns metadata about the latest group audit request that was completed. If no group audits have been completed the completed_at timestamp will be the timestamp of when the group was created and the carrier_ids array will be empty.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the associated group in Noyo
"2ce3b54a-2535-4803-b218-e6b44081d418"
Query Parameters
The unique identifier of the carrier for which you would like to view audit requests
"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"
Response
Successful Response - Returns metadata about the latest Group Audit Request
Was this page helpful?
